Source: meson-python
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 cython3 <!nocheck>,
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 furo (>= 2023.5.20),
 libpython3-all-dev <!nocheck>,
 meson (>= 1.2.3),
 ninja-build,
 patchelf <!nocheck>,
 pkgconf,
 pybuild-plugin-pyproject,
 python3-all (>= 3.11),
 python3-git <!nocheck>,
 python3-packaging,
 python3-pyproject-metadata (>= 0.7.1),
 python3-pytest <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-sphinx-copybutton,
 python3-sphinx-design,
 python3-sphinxext-opengraph,
 python3-all-venv <!nocheck>,
 python3-wheel <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/mesonbuild/meson-python
Vcs-Git: https://salsa.debian.org/python-team/packages/meson-python.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/meson-python
Testsuite: autopkgtest-pkg-python

Package: python3-mesonpy
Architecture: all
Depends:
 libjs-sphinxdoc,
 meson (>= 1.2.3),
 ninja-build,
 python3 (>= 3.11),
 python3-packaging,
 python3-pyproject-metadata (>= 0.7.1),
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Recommends:
 patchelf,
Description: Meson PEP 517 Python build backend
 This package enables Python package authors to use Meson as the build
 backend for their packages.
 .
 Meson is a build system designed to increase programmer productivity.
 It does this by providing a fast, simple and easy to use interface for
 modern software development tools and practices.
